#!/bin/bash

func="HSE"

rm -fr Exx_${func}_vs_alat.dat
echo alat  "   none"   "   gb_F"  "      gb_T"   > Exx_vs_alat.dat

for alat in 12 14 16 18 20 24 28; do 
none=`grep "Fock energy" ${func}_none_F_alat${alat}.out | tail -1  | awk '{print $5}'`
gb=`grep "Fock energy" ${func}_g-b_F_alat${alat}.out | tail -1  | awk '{print $5}'`
gb_extr=`grep "Fock energy" ${func}_g-b_T_alat${alat}.out | tail -1  | awk '{print $5}'`
echo $alat $none $gb $gb_extr >> Exx_${func}_vs_alat.dat
done

cat > Exx_${func}.gnu <<EOF
set term wxt enha
set xlab "1/V"
set ylab "E_x_x [Ry]"
set key left bott
set yran [-1.99:-1.93]
pl 'Exx_${func}_vs_alat.dat' u (1/\$1**3):2 w lp tit 'none', '' u (1/\$1**3):3 w lp tit 'g-b extr=F', '' u (1/\$1**3):4 w lp tit 'g-b ext=T', '' u (1/\$1**3):2:1 with labels offset 0,-1 notit
EOF
