#!/bin/bash

func="PBE0"

rm -fr Exx_${func}_vs_alat.dat
echo alat  "   none"   "   gb_F"  "      gb_T"  "     vcut_sph" > Exx_vs_alat.dat

for alat in 12 14 16 18 20 24 28;  do 
none=`grep "Fock energy" ${func}_none_F_alat${alat}.out | tail -1  | awk '{print $5}'`
gb=`grep "Fock energy" ${func}_g-b_F_alat${alat}.out | tail -1  | awk '{print $5}'`
gb_extr=`grep "Fock energy" ${func}_g-b_T_alat${alat}.out | tail -1  | awk '{print $5}'`
sph=`grep "Fock energy" ${func}_vcut_spherical_F_alat${alat}.out | tail -1  | awk '{print $5}'`
echo $alat $none $gb $gb_extr $sph >> Exx_${func}_vs_alat.dat
done

cat > Exx_${func}.gnu <<EOF
set term wxt enha
set xlab "1/V"
set ylab "E_x_x [Ry]"
set key left bott
set yran [-2.247:-2.2335]
f(x)=a+b*x
fit [0:0.0002] f(x) 'Exx_${func}_vs_alat.dat' u (1/\$1**3):3 via a,b 
pl [0:] 'Exx_${func}_vs_alat.dat' u (1/\$1**3):3 w p tit 'g-b extr=F', '' u (1/\$1**3):4 w p tit 'g-b ext=T', '' u (1/\$1**3):3:1 with labels offset 0,-1 notit, '' u (1/\$1**3):5 w p tit 'vcut\_spherical', f(x) w l lt 1 tit 'linear fit', a w l lt 7 tit 'intercept'
EOF
