#!/bin/bash
####################################################################
#
#
# ==== PBS part (resource manager part) =====
#
# The folloing indicates the nuber of requested nodes
# The number of ppn (processes per node) remains fixed to 20
#PBS -l nodes=1:ppn=20
#
# Total amount of time for which resources are requested HH:MM:SS
#PBS -l walltime=00:30:00
#
# Name of the Job s it will appear in the queue (qstat -u $USER)
#PBS -N RUN_QE
#
# Name of the dedicated resources. You must uncomment this entry when running 
# outside the didicated hours 
#PBS -q reserved3
#
#
# ==== End of PBS part (resource manager part) =====

module purge
module use /scratch/igirotto/SMR3102/modulefiles
module load QE/6.0

cd ${PBS_O_WORKDIR}
## Set the bin directory. You need to modify it!
export bin=${ESPRESSO_HOME}/bin
export PW_COMMAND=$bin/pw.x


echo "... running n2 molecule with PBE0 xc ..."
mpirun -np 20 $PW_COMMAND < n2_pbe0.in > n2_pbe0.out 

echo "... running n atom with PBE0 xc ..."
mpirun -np 20 $PW_COMMAND < n_pbe0.in > n_pbe0.out 

echo "... running n2 molecule with HSE xc ..."
mpirun -np 20 $PW_COMMAND < n2_hse.in > n2_hse.out 

echo "... running n atom with HSE xc ..."
mpirun -np 20 $PW_COMMAND < n_hse.in > n_hse.out 

Emol_pbe=`grep ! n2_pbe0.out | head -1 | awk '{print $5}'`
Eatom_pbe=`grep ! n_pbe0.out | head -1 | awk '{print $5}'`
Emol_pbe0=`grep ! n2_pbe0.out | tail -1 | awk '{print $5}'`
Eatom_pbe0=`grep ! n_pbe0.out | tail -1 | awk '{print $5}'`
Emol_hse=`grep ! n2_hse.out | tail -1 | awk '{print $5}'`
Eatom_hse=`grep ! n_hse.out | tail -1 | awk '{print $5}'`

echo "N2 atomization energy EXP  226 Kcal/mol" > atomiz.dat
echo "N2 atomization energy @PBE" `echo "($Emol_pbe-2*$Eatom_pbe)*13.6058*23.06" | bc -l` " Kcal/mol" >> atomiz.dat
echo "N2 atomization energy @PBE0" `echo "($Emol_pbe0-2*$Eatom_pbe0)*13.6058*23.06" | bc -l` " Kcal/mol" >> atomiz.dat
echo "N2 atomization energy @HSE" `echo "($Emol_hse-2*$Eatom_hse)*13.6058*23.06" | bc -l` " Kcal/mol" >> atomiz.dat

echo "N2 atomization energy EXP  226 Kcal/mol" 
echo "N2 atomization energy @PBE" `echo "($Emol_pbe-2*$Eatom_pbe)*13.6058*23.06" | bc -l` " Kcal/mol" 
echo "N2 atomization energy @PBE0" `echo "($Emol_pbe0-2*$Eatom_pbe0)*13.6058*23.06" | bc -l` " Kcal/mol" 
echo "N2 atomization energy @HSE" `echo "($Emol_hse-2*$Eatom_hse)*13.6058*23.06" | bc -l` " Kcal/mol" 
