## Energy of very well separated layer (serve as a reference for the BE)
pbe=`tail -1 etot-pbe_vs_c.dat | awk '{print $2}'`
dftd2=`tail -1 etot-dft-d2_vs_c.dat | awk '{print $2}'`
vdw2=`tail -1 etot-vdw2_vs_c.dat | awk '{print $2}'`

rm -fr pbe_BE.dat 
for c in 2.4 2.5 2.6 2.75 2.8 2.9 3.1 3.3 3.5 3.8 4.2 4.6 5.0 5.5 6.0; do
cc=`echo $c*4.65255 | bc -l`
echo $cc `grep ! PBE/pbe_c${c}.out | awk '{print $5}'`  $pbe  | awk '{print $1, ($2-$3)*13605.8/4}' >> pbe_BE.dat 
done

rm -fr dft-d2_BE.dat
for c in 2.2 2.3 2.4 2.5 2.6 2.7 2.75 2.8 2.9 3.0 3.2 3.5 3.8 4.2 4.6 5.0 5.5 6.0 7.0 8.0 10.0; do
cc=`echo $c*4.65255 | bc -l`
echo $cc `grep ! DFT-D2/dft-d2_c${c}.out | awk '{print $5}'`  $dftd2  | awk '{print $1, ($2-$3)*13605.8/4}' >> dft-d2_BE.dat
done


rm -fr vdw-df2_BE.dat
for c in 2.2 2.3 2.4 2.5 2.6 2.7 2.75 2.8 2.9 3.0 3.2 3.5 3.8 4.2 4.6 5.0 5.5 6.0 7.0 8.0 10.0; do
cc=`echo $c*4.65255 | bc -l`
echo $cc `grep ! VDW-DF2/vdw2_c${c}.out | awk '{print $5}'`  $vdw2  | awk '{print $1, ($2-$3)*13605.8/4}' >> vdw-df2_BE.dat
done

cat > BE.gnu << EOF
set xlab 'c [Bohr]'
set ylab 'BE/atom [meV]'
set term post enha dash colour eps 
set out 'BE.eps'
pl [:50][:40] 0 notit w l lt 1 lc 7, 'pbe_BE.dat' tit 'PBE' w lp lt 1 , 'dft-d2_BE.dat' tit 'DFT-D2' w lp lt 2 , 'vdw-df2_BE.dat' tit 'vdW-DF2' w lp lt 3, 'Exp.dat' tit 'Exp' w p ps 1.2 lt 7, 'RPA.dat' tit 'RPA' w p ps 1.2 lt 7 lc 9
EOF

gnuplot BE.gnu
